if [ -f ${SITE_DIRECTORY}/$1 ]
then
  ################################################################################
  # KUCCI SERVER 404
  ################################################################################
  if [ -f ${HEADER_DIRECTORY}/$1 ]
  then
    output=`grep "HTTP/1.1 404 Not Found" ${HEADER_DIRECTORY}/$1`
    if [ ! -z "${output}" ]
    then
      output=`grep "Server: Kucci" ${HEADER_DIRECTORY}/$1`
      if [ ! -z "${output}" ]
      then
        output=`grep "<h1>Not Found</h1><p>The requested URL was not found on this server.</p><hr><address>Kucci Server</address></body></html>" ${SITE_DIRECTORY}/$1`
        if [ ! -z "${output}" ]
        then
          mkdir -p ${BLACKLIST_DIRECTORY}/`${DOMAIN2PATH} -d $2`
          echo Kucci Server 404 > ${BLACKLIST_DIRECTORY}/`${DOMAIN2PATH} $2`
#          echo $2 >> ${BLACKLIST_DIRECTORY}/sniped_kucci_404
#          echo $2 >> ${BLACKLIST_FILE}
          echo Kucci Server 404: $2

          search_ips $3
          touch ${IP_DIRECTORY}/$3
          rm -f ${SITE_DIRECTORY}/$1 ${HEADER_DIRECTORY}/$1
          blacklisted=true
        fi
      fi
    fi
  fi
fi
