if [ -f ${SITE_DIRECTORY}/$1 ]
then
  ################################################################################
  # APACHE TEST PAGE FEDORA CORE
  ################################################################################
  output=`grep "<title>Test Page for the Apache HTTP Server on Fedora Core</title>" ${SITE_DIRECTORY}/$1`
  if [ ! -z "${output}" ]
  then
    output=`grep "<p>This page is used to test the proper operation of the Apache HTTP server after it has been installed. If you can read this page, it means that the Apache HTTP server installed at this site is working properly.</p>" ${SITE_DIRECTORY}/$1`
    if [ ! -z "${output}" ]
    then
      output=`grep "<p>You may now add content to the directory <tt>/var/www/html/</tt>. Note that until you do so, people visiting your website will see this page, and not your content. To prevent this page from ever being used, follow the instructions in the file <tt>/etc/httpd/conf.d/welcome.conf</tt>.</p>" ${SITE_DIRECTORY}/$1`
      if [ ! -z "${output}" ]
      then
        mkdir -p ${BLACKLIST_DIRECTORY}/`${DOMAIN2PATH} -d $2`
        echo Apache test page Fedora Core > ${BLACKLIST_DIRECTORY}/`${DOMAIN2PATH} $2`
#        echo $2 >> ${BLACKLIST_DIRECTORY}/sniped_apache_test_page_fedora_core
#        echo $2 >> ${BLACKLIST_FILE}
        echo Apache test page Fedora Core: $2

        search_ips $3
        touch ${IP_DIRECTORY}/$3
        rm -f ${SITE_DIRECTORY}/$1 ${HEADER_DIRECTORY}/$1
        blacklisted=true
      fi
    fi
  fi
fi
