if [ -f ${SITE_DIRECTORY}/$1 ]
then
  ################################################################################
  # APACHE TOMCAT 404
  ################################################################################
  if [ -f ${HEADER_DIRECTORY}/$1 ]
  then
    output=`grep "HTTP/1.1 404 Not Found" ${HEADER_DIRECTORY}/$1`
    if [ ! -z "${output}" ]
    then
      output=`grep "Server: Apache/2.0.5. (Fedora)" ${HEADER_DIRECTORY}/$1`
      if [ ! -z "${output}" ]
      then
        output=`grep "<html><head><title>Apache Tomcat/5.0.25 - Error report</title><style><\!--H1 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} H2 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:16px;} H3 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;} BODY {font-family:Tahoma,Arial,sans-serif;color:black;background-color:white;} B {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;} P {font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:12px;}A {color : black;}A.name {color : black;}HR {color : #525D76;}--></style> </head><body><h1>HTTP Status 404 - </h1><HR size=\"1\" noshade=\"noshade\"><p><b>type</b> Status report</p><p><b>message</b> <u></u></p><p><b>description</b> <u>The requested resource () is not available.</u></p><HR size=\"1\" noshade=\"noshade\"><h3>Apache Tomcat/5.0.25</h3></body></html>" ${SITE_DIRECTORY}/$1`
        if [ ! -z "${output}" ]
        then
          mkdir -p ${BLACKLIST_DIRECTORY}/`${DOMAIN2PATH} -d $2`
          echo Apache Tomcat 404 > ${BLACKLIST_DIRECTORY}/`${DOMAIN2PATH} $2`
#          echo $2 >> ${BLACKLIST_DIRECTORY}/sniped_apache_tomcat_404
#          echo $2 >> ${BLACKLIST_FILE}
          echo Apache Tomcat 404: $2

          search_ips $3
          touch ${IP_DIRECTORY}/$3
          rm -f ${SITE_DIRECTORY}/$1 ${HEADER_DIRECTORY}/$1
          blacklisted=true
        fi
      fi
    fi
  fi
fi
