if [ -f ${SITE_DIRECTORY}/$1 ]
then
  ################################################################################
  # APACHE TOMCAT 500
  ################################################################################
  if [ -f ${HEADER_DIRECTORY}/$1 ]
  then
    output=`grep "HTTP/1.1 500 Internal Server Error" ${HEADER_DIRECTORY}/$1`
    if [ ! -z "${output}" ]
    then
      output=`grep "Server: Apache-Coyote/1.1" ${HEADER_DIRECTORY}/$1`
      if [ ! -z "${output}" ]
      then
        output=`grep "<html><head><title>Apache Tomcat/6.0.14 - Error report</title><style><\!--H1 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} H2 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:16px;} H3 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;} BODY {font-family:Tahoma,Arial,sans-serif;color:black;background-color:white;} B {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;} P {font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:12px;}A {color : black;}A.name {color : black;}HR {color : #525D76;}--></style> </head><body><h1>HTTP Status 500 - </h1><HR size=\"1\" noshade=\"noshade\"><p><b>type</b> Exception report</p><p><b>message</b> <u></u></p><p><b>description</b> <u>The server encountered an internal error () that prevented it from fulfilling this request.</u></p><p><b>exception</b> <pre>java.io.FileNotFoundException: File not found exception" ${SITE_DIRECTORY}/$1`
        if [ ! -z "${output}" ]
        then
          mkdir -p ${BLACKLIST_DIRECTORY}/`${DOMAIN2PATH} -d $2`
          echo Apache Tomcat 500 > ${BLACKLIST_DIRECTORY}/`${DOMAIN2PATH} $2`
          echo Apache Tomcat 500: $2

          search_ips $3
          touch ${IP_DIRECTORY}/$3
          rm -f ${SITE_DIRECTORY}/$1 ${HEADER_DIRECTORY}/$1
          blacklisted=true
        fi
      fi
    fi
  fi
fi
