if [ -f ${SITE_DIRECTORY}/$1 ]
then
  ################################################################################
  # PRIVACY POLICY
  ################################################################################
  output=`grep "and reviewing our Privacy Policy. Your privacy is important to us, and our policy is simple: we will collect no personally identifiable information about you when you visit the Web Site unless you choose to provide that information." ${SITE_DIRECTORY}/$1`
  if [ ! -z "${output}" ]
  then
    output=`grep "The Web Site and third party advertisers may use cookies and other technologies such as web beacons to keep track of the web searches you make while visiting this website, as well as your web surfing behavior on this website and other websites you may visit to enhance your online experience and to learn about how you use The Web Site in order to improve the quality of our services or serve appropriate advertising." ${SITE_DIRECTORY}/$1`
    if [ ! -z "${output}" ]
    then
      output=`grep "In some cases, we use third-party advertising companies to serve ads when you visit our website." ${SITE_DIRECTORY}/$1`
      if [ ! -z "${output}" ]
      then
        mkdir -p ${BLACKLIST_DIRECTORY}/`${DOMAIN2PATH} -d $2`
        echo Privacy policy > ${BLACKLIST_DIRECTORY}/`${DOMAIN2PATH} $2`
        echo Privacy policy: $2

        search_ips $3
        touch ${IP_DIRECTORY}/$3
        rm -f ${SITE_DIRECTORY}/$1 ${HEADER_DIRECTORY}/$1
        blacklisted=true
      fi
    fi
  fi
fi
